package com.sunxung.factoring.entity.loanmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * --豁免事项跟进审核表
 * </p>
 *
 * @author liutao
 * @since 2023-04-26
 */
@TableName("exemption_matters_approval")
public class ExemptionMattersApproval extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 豁免事项跟进和付款关系表Id
     */
    @TableField("exemption_matters_id")
    private Long exemptionMattersId;

    /**
     * 通过pass/退回back
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getExemptionMattersId() {
        return exemptionMattersId;
    }

    public void setExemptionMattersId(Long exemptionMattersId) {
        this.exemptionMattersId = exemptionMattersId;
    }
    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }
    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    @Override
    public String toString() {
        return "ExemptionMattersApproval{" +
            "exemptionMattersId=" + exemptionMattersId +
            ", approvalConclusion=" + approvalConclusion +
            ", approvalComments=" + approvalComments +
        "}";
    }
}
